#
# spec file for package perl-MIME-Lite
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MIME-Lite
Version:        3.030
Release:        32.1
%define cpan_name MIME-Lite
Summary:        low-calorie MIME generator
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MIME-Lite/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::Date::Format) >= 1.000
#BuildRequires: perl(ExtUtils::TBone)
#BuildRequires: perl(Mail::Address)
#BuildRequires: perl(MIME::Lite)
#BuildRequires: perl(MIME::Types) >= 1.28
#BuildRequires: perl(Utils)
Requires:       perl(Email::Date::Format) >= 1.000
%{perl_requires}

%description
In the never-ending quest for great taste with fewer calories, we proudly
present: _MIME::Lite_.

MIME::Lite is intended as a simple, standalone module for generating (not
parsing!) MIME messages... specifically, it allows you to output a simple,
decent single- or multi-part message with text or binary attachments. It
does not require that you have the Mail:: or MIME:: modules installed, but
will work with them if they are.

You can specify each message part as either the literal data itself (in a
scalar or array), or as a string which can be given to open() to get a
readable filehandle (e.g., "<filename" or "somecommand|").

You don't need to worry about encoding your message data: this module will
do that for you. It handles the 5 standard MIME encodings.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc COPYING examples INSTALLING LICENSE README

%changelog
* Mon Nov 25 2013 coolo@suse.com
- updated to 3.030
  Make send_by_sendmail set sender like documentation says it does (thanks,
  Michael Schout!)
* Wed Jun  5 2013 coolo@suse.com
- updated to 3.029
  Allow the MIME-Version header to be replaced (thanks, Florian!)
* Tue Dec  6 2011 coolo@suse.com
- shorten license string
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Nov  9 2011 pascal.bleser@opensuse.org
- update to 3.028: documentation fixes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Wed Jan 13 2010 anicka@suse.cz
- update to 3.027
  * Add send_to_testfile method
  * Fix tests to pass with MIME::Types 1.28
  * Added back support for providing a non-default SMTP port
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Feb 27 2009 anicka@suse.cz
- update to 3.024
  * Respect crazy people who put multiple Cc or Bcc headers in message
  * Cope with missing local sendmail
  * fixes
- require perl-Email-Date-Format, perl-MailTools, perl-MIME-Types
* Sat Mar 15 2008 coolo@suse.de
- removing executable bits on documentation
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 14 2003 freitag@suse.de
- removed useless comments and fixed the docs
* Mon Jul 14 2003 freitag@suse.de
- changed to vendor directories, used autobuild macros
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Sun May 25 2003 ro@suse.de
- remove unpackaged files from buildroot
* Mon May 19 2003 freitag@suse.de
- update to version 3.01, only small maintenance, no new feature.
  removed perllocal.pod off the filesystem
* Thu Aug  8 2002 mls@suse.de
- use sitearch macro
* Tue Jul 30 2002 freitag@suse.de
- update to version 2.117 with feature improvements.
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri Jun  8 2001 freitag@suse.de
- new package with initial version 2.111, required by pdb
